跳至內容

Depth Anything Video

整合

模型 id depth-anything-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/depth-anything-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.40 400 API 點數 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
ByteDance 影片轉影片 最高 1080p #video-to-video#motion#edit

估算輸入影片每個影格的深度圖,支援尺寸、色彩映射與並排比較選項

ByteDance · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 video_url
拖放檔案,或

指向用於深度估計影片的 URL。

resolution 預設 auto

輸出的解析度;`auto` 會保留輸入解析度,最高達 1080p。可用值:'auto'、'360p'、'480p'、'720p'、'1080p'。

影格處理上限,最高為 2400。設為 None 同樣允許最多 2400 個影格。

進階 model · colormap · output_fps · side_by_side · include_raw_depths
model 預設 VDA-Large

深度估計模型的大小;VDA-Large 提供最高品質,VDA-Small 的執行速度最快。

colormap 預設 grayscale

深度視覺化調色盤:'grayscale' 顯示原始正規化深度,'viridis' 提供色盲友善的檢視方式,'inferno' 或 'magma' 提供感知一致性。建議使用的 'turbo' 調色盤會將鄰近區域對應為暖色,遠處區域對應為冷色。

輸出影片的影格率。None 會保留輸入影格率。

POST /run/depth-anything-video?wait=20 報價 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/depth-anything-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Depth Anything Video

將影片轉換為深度視覺化結果,確保各影格之間的結果一致。可選擇模型尺寸(VDA-Small、VDA-Base 或 VDA-Large)、色彩映射(grayscale、turbo、inferno、magma 或 viridis)及最高 1080p 的輸出 `resolution`。也可使用 `side_by_side` 將原始影片與深度影片並排呈現,使用 `max_frames` 限制影格數(最多 2400),或將原始深度值匯出為 .npz 檔案。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
video_url必填 video
類型url · video
指向用於深度估計影片的 URL。
model選填
類型enum
預設值VDA-Large
VDA-SmallVDA-BaseVDA-Large
深度估計模型的大小;VDA-Large 提供最高品質,VDA-Small 的執行速度最快。
colormap選填
類型enum
預設值grayscale
grayscaleturboinfernomagmaviridis
深度視覺化調色盤:'grayscale' 顯示原始正規化深度,'viridis' 提供色盲友善的檢視方式,'inferno' 或 'magma' 提供感知一致性。建議使用的 'turbo' 調色盤會將鄰近區域對應為暖色,遠處區域對應為冷色。
resolution選填
類型enum
預設值auto
auto360p480p720p1080p
輸出的解析度;`auto` 會保留輸入解析度,最高達 1080p。可用值:'auto'、'360p'、'480p'、'720p'、'1080p'。
max_frames選填
類型integer | null
> 0
影格處理上限,最高為 2400。設為 None 同樣允許最多 2400 個影格。
output_fps選填
類型number | null
> 0
輸出影片的影格率。None 會保留輸入影格率。
side_by_side選填
類型boolean
預設值false
控制是否輸出並排比較原始視圖與深度視圖的影片。
include_raw_depths選填
類型boolean
預設值false
控制是否將原始 float32 深度資料匯出至 .npz 檔案,其中包含 `depths` [N,H,W]、`min_depth`、`max_depth`、`fps`、`model` 和 `shape`。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "depth-anything-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "raw_depths": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}以 MP4 格式編碼為 H.264 的深度顯示影片。
raw_depths
object {url, content_type, file_name, file_size} | null原始深度資料,儲存於 .npz 檔案中,並在 `include_raw_depths` 為 True 時提供。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/depth-anything-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt